/*
 *     This file is part of the Squashtest platform.
 *     Copyright (C) Henix, henix.fr
 *
 *     See the NOTICE file distributed with this work for additional
 *     information regarding copyright ownership.
 *
 *     This is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU Lesser General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     this software is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU Lesser General Public License for more details.
 *
 *     You should have received a copy of the GNU Lesser General Public License
 *     along with this software.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.squashtest.tm.service.internal.dto.projectimporterxray.jooq.tables;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;

/** This class is generated by jOOQ and modified. */
@SuppressWarnings({"all", "unchecked", "rawtypes"})
public class ItemTableRecord extends UpdatableRecordImpl<ItemTableRecord> {

    private static final long serialVersionUID = 1L;

    public void setId(Long value) {
        set(0, value);
    }

    public Long getId() {
        return (Long) get(0);
    }

    public void setIdImport(Long value) {
        set(1, value);
    }

    public Long getIdImport() {
        return (Long) get(1);
    }

    public void setProject(String value) {
        set(2, value);
    }

    public String getProject() {
        return (String) get(2);
    }

    public void setTitle(String value) {
        set(3, value);
    }

    public String getTitle() {
        return (String) get(3);
    }

    public void setLink(String value) {
        set(4, value);
    }

    public String getLink() {
        return (String) get(4);
    }

    public void setDescription(String value) {
        set(5, value);
    }

    public String getDescription() {
        return (String) get(5);
    }

    public void setKey(String value) {
        set(6, value);
    }

    public String getKey() {
        return (String) get(6);
    }

    public void setSummary(String value) {
        set(7, value);
    }

    public String getSummary() {
        return (String) get(7);
    }

    public void setType(String value) {
        set(8, value);
    }

    public String getType() {
        return (String) get(8);
    }

    public void setPriority(String value) {
        set(9, value);
    }

    public String getPriority() {
        return (String) get(9);
    }

    public void setStatus(String value) {
        set(10, value);
    }

    public String getStatus() {
        return (String) get(10);
    }

    public void setCreated(String value) {
        set(11, value);
    }

    public String getCreated() {
        return (String) get(11);
    }

    public void setReporter(String value) {
        set(12, value);
    }

    public String getReporter() {
        return (String) get(12);
    }

    public void setLabel(String value) {
        set(13, value);
    }

    public String getLabel() {
        return (String) get(13);
    }

    public void setPivotId(String value) {
        set(14, value);
    }

    public String getPivotId() {
        return (String) get(14);
    }

    public void setParentPivotId(String value) {
        set(15, value);
    }

    public String getParentPivotId() {
        return (String) get(15);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /** Create a detached ItemTableRecord */
    public ItemTableRecord(ItemTable itemTable) {
        super(itemTable);
    }

    /** Create a detached, initialised ItemTableRecord */
    public ItemTableRecord(
            ItemTable itemTable,
            Long id,
            String project,
            String title,
            String link,
            String description,
            String key,
            String summary,
            String type,
            String priority,
            String status,
            String created,
            String reporter,
            String label,
            String pivotId,
            String parentPivotId) {
        super(itemTable);

        setId(id);
        setProject(project);
        setTitle(title);
        setLink(link);
        setDescription(description);
        setKey(key);
        setSummary(summary);
        setType(type);
        setPriority(priority);
        setStatus(status);
        setCreated(created);
        setReporter(reporter);
        setLabel(label);
        setPivotId(pivotId);
        setParentPivotId(parentPivotId);
    }
}
